Get an applicant by ID
https://api.propexo.com/v1/applicants/:idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- string
APPROVEDDENIEDCANCELEDOTHERPENDING - string
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the applicant
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
DEPRECATED: Use x_unit_id_preferred instead
DEPRECATED: Not in use.
The external ID of the lead from the integration vendor
The first alternate address line associated with the applicant
The first address line associated with the applicant
The second alternate address line associated with the applicant
The second address line associated with the applicant
applications object[]required
DEPRECATED. Use status_raw or status_normalized
The raw status associated with the applicant
The normalized status associated with the applicant. Confirm these derived values before using them in production.
Show 2 variants
custom_data object | null
The alternate city associated with the applicant
The city associated with the applicant
The alternate country associated with the applicant
The country associated with the applicant
custom_data object | nullrequired
The date of birth associated with the applicant
The primary email address associated with the applicant
The secondary email address associated with the applicant
The first name associated with the applicant
self_reported_income object[]
The total income of the applicant, in cents
The total income amount of the applicant
The type of income of the applicant
The type of income of the applicant
The last name associated with the applicant
The middle name associated with the applicant
Notes associated with the applicant
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKPrimary phone number associated with the applicant
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the applicant
The alternate state associated with the applicant
The state associated with the applicant
The normalized type associated with the applicant
The raw type associated with the applicant
The alternate zip code associated with the applicant
The zip code associated with the applicant
pets object[]required
The Propexo unique identifier for the applicant pet
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The age in years of the applicant pet
The breed of the applicant pet
The color of the applicant pet
The raw value for the gender of the applicant pet
Whether the applicant pet is declawed
Whether the applicant pet is fixed
Whether the applicant pet is a service animal
Whether the applicant pet is trained
Whether the applicant pet is vaccinated
The name associated with the applicant pet
Notes associated with the applicant pet
The type associated with the applicant pet
The weight in pounds of the applicant pet
custom_data object | nullrequired
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
screenings object[]required
The Propexo ID of the screening
The date record first entered Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The status/results of the screening
The date the screening took place
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/applicants/:id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_lead_id": "string",
"x_unit_id_preferred": [
"string"
],
"address_1_alternate": "string",
"address_1": "string",
"address_2_alternate": "string",
"address_2": "string",
"applications": [
{
"applicant_id": "string",
"application_id": "string",
"status_raw": "string",
"status_normalized": "APPROVED",
"custom_data": "Unknown Type: object,null"
}
],
"city_alternate": "string",
"city": "string",
"country_alternate": "string",
"country": "string",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "string",
"email_1": "string",
"email_2": "string",
"first_name": "string",
"self_reported_income": [
{
"amount_in_cents": 0,
"amount_raw": "string",
"type_normalized": "string",
"type_raw": "string"
}
],
"last_name": "string",
"middle_name": "string",
"notes": "string",
"phone_1_type": "FAX",
"phone_1": "string",
"phone_2_type": "FAX",
"phone_2": "string",
"state_alternate": "string",
"state": "string",
"type_normalized": "string",
"type_raw": "string",
"zip_alternate": "string",
"zip": "string",
"pets": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_declawed": true,
"is_fixed": true,
"is_service_animal": true,
"is_trained": true,
"is_vaccinated": true,
"name": "string",
"notes": "string",
"type": "string",
"weight_in_pounds": 0,
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string",
"unit_id_preferred": [
"string"
],
"screenings": [
{
"id": "string",
"created_at": "string",
"last_seen": "string",
"x_id": "string",
"status_raw": "string",
"screening_date": "string"
}
]
}
}